'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _CmpModal = require('./CmpModal');

var _reactCmpServices = require('@s-ui/react-cmp-services');

var _reactCmpServices2 = _interopRequireDefault(_reactCmpServices);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CmpModal = function (_Component) {
  (0, _inherits3.default)(CmpModal, _Component);

  function CmpModal() {
    (0, _classCallCheck3.default)(this, CmpModal);
    return (0, _possibleConstructorReturn3.default)(this, (CmpModal.__proto__ || (0, _getPrototypeOf2.default)(CmpModal)).apply(this, arguments));
  }

  (0, _createClass3.default)(CmpModal, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(
        _reactCmpServices2.default,
        null,
        function (_ref) {
          var getPurposesAndVendors = _ref.getPurposesAndVendors,
              sendConsents = _ref.sendConsents;
          return _react2.default.createElement(_CmpModal.CmpModalContainer, (0, _extends3.default)({}, _this2.props, {
            getPurposesAndVendors: getPurposesAndVendors,
            sendConsents: sendConsents
          }));
        }
      );
    }
  }]);
  return CmpModal;
}(_react.Component);

CmpModal.defaultProps = {
  checkCmpLibraryIsLoaded: true,
  lang: 'es',
  onExit: function onExit() {},
  retrieveConsentsFromCmp: false
};

CmpModal.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  /**
   * Flag to determine if we have to check if the cmp library is loaded.
   * Used as this modal could work standalone or opened by another component, that could have already checked
   * if the cmp is loaded
   */
  checkCmpLibraryIsLoaded: _propTypes2.default.bool,
  /**
   * ISO 639-1 code language in order to get the text translated to it
   */
  lang: _propTypes2.default.string,
  /**
   * URL of the static image that will be the logo for the Modal
   */
  logo: _propTypes2.default.string,
  /**
   * URL where the user will go in order to know more about the privacy conditions of the website
   */
  privacyUrl: _propTypes2.default.string.isRequired,
  /**
   * Function to be executed when the user wants to exit the modal because he accepted the consents
   */
  onExit: _propTypes2.default.func,
  /**
   * Flag to determine if we have to retrieve the consents from the CMP cookie
   * or if it's the first time the user is selecting the consents
   */
  retrieveConsentsFromCmp: _propTypes2.default.bool
} : {} : {};

CmpModal.displayName = 'CmpModal';

exports.default = CmpModal;